Bug 7714 - IPV6 doamin join is not happening in only ipv6 enabled domain controller
IPV6 doamin join is not happening in only ipv6 enabled domain controller
Status: RESOLVED INVALID
Product: Samba 3.3
Classification: Unclassified
Component: Domain Control
3.3.14
Other Windows XP
: P3 normal
: ---
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-06 05:26 UTC by rangan
Modified: 2011-05-26 05:36 UTC (History)
0 users

See Also:


Attachments
Logs of winbindd during the join with pure ipv6 .. (71.39 KB, text/plain)
2010-10-06 05:29 UTC, rangan
no flags Details
Level.10 log (2.54 KB, application/octet-stream)
2011-05-21 16:08 UTC, TAKAHASHI Motonobu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description rangan 2010-10-06 05:26:10 UTC
i am trying to connect my samba enabled pc to 2008 server (only ipv6 enabled),but couldn;t not able to join.

i am getting the error unable to find the server.
Comment 1 rangan 2010-10-06 05:29:46 UTC
Created attachment 5998 [details]
Logs of winbindd during the join with pure ipv6 ..
Comment 2 TAKAHASHI Motonobu 2011-05-21 16:08:28 UTC
Created attachment 6467 [details]
Level.10 log

"net ads join -d10 log" with Samba 3.5.8 running on Debian Lenny.

smb.conf is:

-----
[global]
  workgroup = W2K8R2AD1
  security = ads
  realm = W2K8R2AD1.LOCAL
  disable netbios = yes

[homes]
  writeable = yes
  browseable = no
-----

/etc/resolv.conf is:

-----
search w2k8r2ad1.local
nameserver fe80::5487:ac90:117c:b49c%eth0
-----

DC address is successfully resolved: fe80::5487:ac90:117c:b49c.
Comment 3 David Holder 2011-05-21 16:30:28 UTC
(In reply to comment #2)
> Created attachment 6467 [details]
> Level.10 log
> 
> "net ads join -d10 log" with Samba 3.5.8 running on Debian Lenny.
> 
> smb.conf is:
> 
> -----
> [global]
>   workgroup = W2K8R2AD1
>   security = ads
>   realm = W2K8R2AD1.LOCAL
>   disable netbios = yes
> 
> [homes]
>   writeable = yes
>   browseable = no
> -----
> 
> /etc/resolv.conf is:
> 
> -----
> search w2k8r2ad1.local
> nameserver fe80::5487:ac90:117c:b49c%eth0
> -----
> 
> DC address is successfully resolved: fe80::5487:ac90:117c:b49c.

The problem is here is that you have link-local addresses in DNS. This will never work as link-local addresses are not globally unique and require an interface identifier which cannot be put into DNS. For this reason you should never put link-local addresses in DNS. This is not a bug.

David
Comment 4 Kai Blin 2011-05-26 05:36:05 UTC
Thanks David, closing bug as "invalid". If this still is an issue using globally unique IPv6 addresses, please reopen the bug.